<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>test/common/gen_frame_data.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_13e138d54eb8818da29c3992edef070a.html">test</a></li><li class="navelem"><a class="el" href="dir_3d33df030c77a31fa8b3e9742340505e.html">common</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">gen_frame_data.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Radar test input generator.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;math.h&gt;</code><br />
<code>#include &lt;xdc/std.h&gt;</code><br />
<code>#include &lt;ti/demo/xwr16xx/mmw/dss/dss_data_path.h&gt;</code><br />
<code>#include &quot;gen_frame_data.h&quot;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:a53146191d4e7c2b06319f2fdaede75f4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gen__frame__data_8c.html#a53146191d4e7c2b06319f2fdaede75f4">genChirpData</a> (MmwDemo_DSS_DataPathObj *obj, <a class="el" href="structgen_frame_struc__t__.html">genFrameStruc_t</a> *frm)</td></tr>
<tr class="separator:a53146191d4e7c2b06319f2fdaede75f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a81e1e954c985e0e2536882325cd72d7c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="gen__frame__data_8c.html#a81e1e954c985e0e2536882325cd72d7c">initFrameData</a> (MmwDemo_DSS_DataPathObj *dataPathObj, <a class="el" href="structgen_frame_struc__t__.html">genFrameStruc_t</a> *genFrmDataObj, sceneConfig_t *sceneConfig)</td></tr>
<tr class="separator:a81e1e954c985e0e2536882325cd72d7c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Radar test input generator. </p>
<dl class="section user"><dt></dt><dd>NOTE: (C) Copyright 2016 Texas Instruments, Inc.</dd></dl>
<p>Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:</p>
<p>Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.</p>
<p>Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.</p>
<p>Neither the name of Texas Instruments Incorporated nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.</p>
<p>THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="a53146191d4e7c2b06319f2fdaede75f4"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void genChirpData </td>
          <td>(</td>
          <td class="paramtype">MmwDemo_DSS_DataPathObj *&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structgen_frame_struc__t__.html">genFrameStruc_t</a> *&#160;</td>
          <td class="paramname"><em>frm</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Generates one chirp of reference data into adc buffer. Function is called per chirp.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dataPathObj</td><td>Pointer to data path object</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">genFrmDataObj</td><td>Pointer to reference data object</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">outputBuffer</td><td>Used in XWR14xx only. Pointer to buffer were chirp data will be written to.</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a81e1e954c985e0e2536882325cd72d7c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void initFrameData </td>
          <td>(</td>
          <td class="paramtype">MmwDemo_DSS_DataPathObj *&#160;</td>
          <td class="paramname"><em>dataPathObj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="structgen_frame_struc__t__.html">genFrameStruc_t</a> *&#160;</td>
          <td class="paramname"><em>genFrmDataObj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">sceneConfig_t *&#160;</td>
          <td class="paramname"><em>sceneConfig</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 Initializes radar ADC reference data.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dataPathObj</td><td>Pointer to data path object</td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">genFrmDataObj</td><td>Pointer to reference data object</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">Not</td><td>Applicable. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
